/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: LHSCodeSnippetEB.java 4606 2009-07-30 08:55:17Z nicoulaj $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.rules.manager.ejb;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.persistence.Basic;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * The LHSCodeSnippet entity bean.
 *
 * @author HAN Tianyi
 *
 */
@Entity
@Table(name = "LHS_CODE_SNIPPET")
public class LHSCodeSnippetEB implements Serializable {
    /**
     * Version of serial.
     */
    private static final long serialVersionUID = 3603043818875621406L;

    /**
     * Primary key.
     */
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private int id;

    /**
    * The content
    */
    private String content = "";

    /**
     * The LHS Rule
     */
    @ManyToOne(fetch = FetchType.EAGER)
    @JoinColumn(name = "lhs_fk", nullable = true)
    private RuleEB lhsRule;

    
    // =========================================================================
    // Getters and setters
    // =========================================================================

    /**
     * Get the id
     *
     * @return id
     */
    public final int getId() {
        return id;
    }

    /**
    * Set the content
    * 
    * @param value
    *         the content for using
    *         
    */
    public final void setContent(final String value){
        content = value;
    }

    /**
    * Get the content
    * 
    * @return content
    *         return the value of content
    */
    public final String getContent(){
        return content;
    }
    
    /**
     * Get the LHS Rule
     *
     * @return lhsRule
     *         return the LHS Rule
     */
    public final RuleEB getLhsRule() {
        return lhsRule;
    }

    /**
     * Set the LHS Rule
     *
     * @param value
     *         the LHS rule for using
     */
    public final void setLhsRule(final RuleEB value) {
        this.lhsRule = value;
    }
}
