/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: RHSCodeSnippetEB.java 4606 2009-07-30 08:55:17Z nicoulaj $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.rules.manager.ejb;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * The RHSCodeSNippet entity bean.
 *
 * @author HAN Tianyi
 *
 */
@Entity
@Table(name = "RHS_CODE_SNIPPET")
public class RHSCodeSnippetEB implements Serializable {
    /**
     * Version of serial.
     */
    private static final long serialVersionUID = 3603043818875621406L;

    /**
     * Primary key.
     */
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Column(name = "rhsId", unique = false, nullable = false
            , insertable = false, updatable = false)
    private int rhsId;

    /**
    * The content
    */
    private String content = "";

    /**
     * The RHS Rule
     */
    @ManyToOne(fetch = FetchType.EAGER)
    @JoinColumn(name = "rhs_fk", nullable = true)
    private RuleEB rhsRule;

    
    // =========================================================================
    // Getters and setters
    // =========================================================================

    /**
     * Get the id
     * 
     * @return id
     */
    public final int getRhsId() {
        return rhsId;
    }

    /**
    * Set the content
    *
    * @param value
    *             the value for set
    *
    */
    public final void setContent(final String value) {
        content = value;
    }

    /**
    * Get the content
    *
    * @return content
    *
    */
    public final String getContent() {
        return content;
    }
    
    /**
     * Get the RHS Rule
     *
     * @return rhsRule
     *
     */
    public final RuleEB getRhsRule() {
        return rhsRule;
    }

    /**
    * Set the RHS Rule
    *
    * @param value
    *             RHS Rule for set
    *
    */
    public final void setRhsRule(final RuleEB value) {
        this.rhsRule = value;
    }

}
