/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TextualRulePackageEB.java 4504 2009-07-23 14:16:21Z hant $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.rules.manager.ejb;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * The Rule entity bean.
 *
 * @author HAN Tianyi
 *
 */
@Entity
@Table(name = "TEXTUAL_RULE_PACKAGE")
public class TextualRulePackageEB implements Serializable {
    /**
     * Version of serial.
     */
    private static final long serialVersionUID = 3603043818875621406L;

    /**
     * Primary key.
     */
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private int trpId;
    
    /**
    * The DRL source of the rule package
    */
    private String content;

    /**
     * Default constructor.
     *
     */
    public TextualRulePackageEB() {
    }

    // ------------------------------------------------------------------------
    // Getters & setters
    // ------------------------------------------------------------------------
    public final int getTrpId() {
        return trpId;
    }

    public final String getContent() {
        return content;
    }

    public final void setContent(final String content) {
        this.content = content;
    }

}
